---
search:
  tags:
    - OrgStructure
    - GET
seo:
  description: >-
    Security: Any user holding a Bpanda licence… Reference for the GET
    /v1/warehouses/{warehouseId}/orgstructure endpoint in the Bpanda REST API
    (experimental).
sidebar:
  label: List the complete structure of the space.
  badge: GET
title: List the complete structure of the space.
type: openapi-operation
---
List the complete structure of the space.
      Get the organizational structure for this process space.

**Security:** Any user holding a Bpanda licence for the process space.

`GET /v1/warehouses/{warehouseId}/orgstructure`

**Responses**

- `200` — Organizational structure

Response example, 200:

```json
{
  "modifiable": true,
  "transitions": [
    {
      "biDirectional": true,
      "id": "string",
      "members": [
        {
          "source": "string",
          "target": "string"
        }
      ],
      "nameFromSource": {
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ],
        "value": "string"
      },
      "nameToSource": {
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ],
        "value": "string"
      }
    }
  ],
  "types": [
    {
      "id": "string",
      "title": {
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ],
        "value": "string"
      }
    }
  ],
  "units": [
    {
      "breadcrumbs": [
        {
          "id": "string",
          "name": "string"
        }
      ],
      "deputy": [
        "string"
      ],
      "description": [
        {
          "format": "BBCode",
          "text": {
            "translations": [
              {
                "language": "string",
                "value": "string"
              }
            ],
            "value": "string"
          }
        }
      ],
      "explicitRoleIds": [
        "string"
      ],
      "external": true,
      "id": "string",
      "members": [
        "string"
      ],
      "parentId": "string",
      "responsible": [
        "string"
      ],
      "title": {
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ],
        "value": "string"
      },
      "type": "string"
    }
  ]
}
```
